package com.tofly.scada.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.scada.entity.ScadaReport;

import java.util.List;
import java.util.Set;

/**
* @author haiqiu
* @description 针对表【TF_SCADA_REPORT】的数据库操作Service
* @createDate 2022-05-13 14:45:46
*/
public interface ScadaReportService extends IService<ScadaReport> {
    /**
     * 新增-报警类型
     * @param dto
     */
    void insert(ScadaReport dto);

    /**
     * 修改-报警类型
     * @param dto
     */
    void edit(ScadaReport dto);

    /**
     * 批量删除-报警类型
     * @param ids 数据ID
     */
    void delete(Set<Long> ids);

    /**
     * 分页查询
     * @param page 分页条件
     * @param query 查询条件
     * @return 分页列表
     */
    Page<ScadaReport> pageList(Page page, ScadaReport query);

    /**
     * 查询所有-报警类型，支持模糊搜索
     * @param query 查询条件
     * @return -报警类型列表
     */
    List<ScadaReport> all(ScadaReport query);

    /**
     * 根据事故ID查询
     * @param id 报警类型ID
     * @return 报警类型列表
     */
    ScadaReport get(Long id);
}
